### Signal

# Gtk IMContext::commit

#### Declaration

    void
    commit (
      GtkIMContext self,
      gchar* str,
      gpointer user_data
    )

#### Description [src]

The ::commit signal is emitted when a complete input sequence has been entered by the user. This can be a single character immediately after a key press or the final result of preediting.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`str` | `gchar*`
| The completed character(s) entered by the user.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.